freeslot("SPR_MAGB") -- Your gibs sprite prefix to freeslot!
freeslot("SPR_SSUI")

// We toss everything in a ThinkFrame so we can let the CustomGibsThinker.lua load first!
local ScriptLoaded = false
addHook("ThinkFrame", function()
	if not(ScriptLoaded)
	and CUSTOM_GIBS then
		ScriptLoaded = true 

		// Create your list of skins for custom gibs here!
		// 		sprite -	The SPR to switch to
		// 		frame -		The frame of the SPR to switch to
		// 		nullifier - Set to true if you want to remove this part

		// Tails uses the full list of available gibs to replace.
		CUSTOM_GIBS["marisa_broom"] = {
			[SPR_DIEA] = {sprite = SPR_MAGB, frame = A, nullifier = false}, -- tires
			[SPR_DIEB] = {sprite = SPR_MAGB, frame = A, nullifier = true}, -- pipeframe bars
			[SPR_DIEC] = {sprite = SPR_MAGB, frame = A, nullifier = false}, -- pedal tip
			[SPR_DIED] = {sprite = SPR_MAGB, frame = A, nullifier = false}, -- right pedal
			[SPR_DIEE] = {sprite = SPR_MAGB, frame = A, nullifier = false}, -- steering wheel
			[SPR_DIEG] = {sprite = SPR_MAGB, frame = A, nullifier = false}, -- left pedal
			[SPR_DIEH] = {sprite = SPR_MAGB, frame = A, nullifier = true}, -- strut
			[SPR_DIEI] = {sprite = SPR_MAGB, frame = A, nullifier = false}, -- wheel axle bar
			[SPR_DIEJ] = {sprite = SPR_MAGB, frame = A, nullifier = false}, -- screw
			[SPR_DIEK] = {sprite = SPR_MAGB, frame = B, nullifier = false} -- N. Gin
		}
		
		CUSTOM_GIBS["suika"] = {
			[SPR_DIEC] = {sprite = SPR_SSUI, frame = A, nullifier = false}, -- pedal tip
			[SPR_DIED] = {sprite = SPR_SSUI, frame = A, nullifier = false}, -- right pedal
			[SPR_DIEE] = {sprite = SPR_SSUI, frame = A, nullifier = false}, -- steering wheel
			[SPR_DIEI] = {sprite = SPR_SSUI, frame = A, nullifier = false}, -- wheel axle bar
			[SPR_DIEJ] = {sprite = SPR_SSUI, frame = B, nullifier = false}, -- screw
		}
		
		//You don't have to list out every single DIE# particle! Here, Sonic will
		// use both SOME custom sprites and vanilla sprites.
		//CUSTOM_GIBS["sonic"] = {
			//[SPR_DIEA] = {sprite = SPR_MAGB, frame = C, nullifier = false}, -- tires
			//[SPR_DIEC] = {sprite = SPR_MAGB, frame = A, nullifier = false}, -- pedal tip
			//[SPR_DIED] = {sprite = SPR_MAGB, frame = A, nullifier = true}, -- right pedal
			//[SPR_DIEE] = {sprite = SPR_MAGB, frame = A, nullifier = true}, -- steering wheel
			//[SPR_DIEG] = {sprite = SPR_MAGB, frame = H, nullifier = true}, -- left pedal
			//[SPR_DIEI] = {sprite = SPR_MAGB, frame = I, nullifier = true}, -- wheel axle bar
			//[SPR_DIEJ] = {sprite = SPR_MAGB, frame = A, nullifier = false}, -- screw
			//[SPR_DIEK] = {sprite = SPR_MAGB, frame = J, nullifier = false} -- N. Gin
		//}
	end
end)